Use this API to retrieve DORA metrics for groups and projects. Additional metrics are available through the GraphQL API.
These endpoints require the Reporter, Developer, Maintainer, or Owner role.
Get group DORA metrics
GET /api/v4/groups/{id}/dora/metrics
Retrieves one DORA metric for a group hierarchy over a selected period.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | The ID or URL- Example: 12 |
metricQuery, | String | DORA metric to retrieve Allowed values: deployment_,lead_,time_,change_Minimum length: 1Example: deployment_ |
start_Query | String (date) | First day of the period Example: 2026- |
end_Query | String (date) | Last day of the period Example: 2026- |
intervalQuery | String | Size of the aggregation bucket Allowed values: all,monthly,dailyDefault: dailyExample: daily |
environment_Query | Array of strings | Environment tiers to include Example: ["production"] |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | Array of APIEntities |
400 | Bad request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not found | — |
Get project DORA metrics
GET /api/v4/projects/{id}/dora/metrics
Retrieves one DORA metric for a project over a selected period.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | The ID or URL- Example: 11 |
metricQuery, | String | DORA metric to retrieve Allowed values: deployment_,lead_,time_,change_Minimum length: 1Example: deployment_ |
start_Query | String (date) | First day of the period Example: 2026- |
end_Query | String (date) | Last day of the period Example: 2026- |
intervalQuery | String | Size of the aggregation bucket Allowed values: all,monthly,dailyDefault: dailyExample: daily |
environment_Query | Array of strings | Environment tiers to include Example: ["production"] |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | Array of APIEntities |
400 | Bad request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not found | — |
Schemas
Objects returned by the operations above and objects nested in their request bodies.
APIEntitiesDoraMetric
| Property | Type | Description |
|---|---|---|
date | String (date) | Example:2026- |
value | Number | Example:1. |